<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" id="tech-gupnp" xml:lang="fr">

  <info>
    <link type="guide" xref="tech" group="gupnp"/>
    <revision pkgversion="1.0" date="2011-05-17" status="candidate"/>

    <credit type="author copyright">
      <name>Zeeshan Ali (Khattak)</name>
      <email its:translate="no">zeeshanak@gnome.org</email>
      <years>2011</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

    <desc>Wireless, peer-to-peer, plug-and-play RPC</desc>
  </info>

<title>GUPnP</title>

  <p>
    Many "consumer electronics" devices that can make use of a house's local
    network support device and service discovery via a protocol called UPnP
    (Universal Plug and Play).  GUPnP lets GNOME applications discover UPnP
    devices on the network, and publish services themselves.
  </p>

  <p>
    DLNA is a set of standards that let devices share multimedia content in
    standard formats.  GUPnP can also perform DLNA-related tasks such as media
    profile guessing, transcoding to a given profile, etc.
  </p>

  <p>
    In GNOME, GUPnP is one of the basic building blocks of home-multimedia
    software like Rygel, a home media server.
  </p>

  <list style="compact">
    <item><p><link href="http://www.gupnp.org">GUPnP home page</link></p></item>
  </list>

</page>
